{
  stdenv,
  fetchFromGitHub,
  lib,
  gnome-themes-extra,
  gtk-engine-murrine,
  gtk_engines,
}:
stdenv.mkDerivation rec {
  pname = "everforest-gtk-theme";
  version = "unstable-2023-03-20";

  src = fetchFromGitHub {
    owner = "Fausto-Korpsvart";
    repo = "Everforest-GTK-Theme";
    rev = "8481714cf9ed5148694f1916ceba8fe21e14937b";
    sha256 = "sha256-NO12ku8wnW/qMHKxi5TL/dqBxH0+cZbe+fU0iicb9JU=";
  };

  buildInputs = [
    gnome-themes-extra # adwaita engine for Gtk2
    gtk_engines # pixmap engine for Gtk2
  ];

  propagatedUserEnvPkgs = [
    gtk-engine-murrine # murrine engine for Gtk2
  ];

  installPhase = ''
    runHook preInstall
    mkdir -p $out/share/themes
    cp -a themes/Everforest-Dark-B $out/share/themes/Everforest-Dark
    runHook postInstall
  '';
}
